Skip to main content
GET
List

Authorizations

Authorization
string
header
required

The Authorization header expects a Bearer token.

Query Parameters

parentId
string
required

ParentId of the secret to return.

pageSize
string<int64>

The maximum number of results per page to return. If the number of available results is larger than [page_size], the service returns a [ListSecretsResponse.next_page_token] that can be used to get the next page of results in subsequent list requests. Default value: 100.

pageToken
string

Page token. To get the next page of results, set [page_token] to the [ListSecretsResponse.next_page_token] returned by a previous list request.

showScheduledForDeletion
boolean

By default, List operation doesn't include resources that are scheduled for deletion. If show_scheduled_for_deletion = true, the listing includes resources that are scheduled for deletion.

Response

200 - application/json

A successful response.

items
object[]

List of secrets in the specified container, without its Payload.

nextPageToken
string

This token allows you to get the next page of results for list requests. If the number of results is greater than the specified [ListSecretsRequest.page_size], use the [next_page_token] as the value for the [ListSecretsRequest.page_token] query parameter in the next list request. Each subsequent list request will have its own [next_page_token] to continue paging through the results.